/**
 * Created by user on 2016/6/28.
 */

define(['angular','role_factory'], function (angular,role_factory) {
  angular.module('home.controller',[])
    .controller('home.controller',['$scope','$state','personCenterService',
      function($scope,$state,personCenterService){

        $scope.$on('$ionicView.beforeEnter',function(){
          $scope.today = new Date();

          personCenterService.getPersonCenterList().then(function (response) {
            var modules;
            $scope.clerk = response.data;
            if(response.data.clerkType !== "ADMIN"){
              modules = role_factory.getModule(['2']);
            } else if(response.data.reviewStatus !== "REVIEWE_YES"){
              modules = role_factory.getModule(['3']);
            } else {
              modules = role_factory.getModule(['1']);
            }
            $scope.modules = modules;
          },function (err) {
            console.log(err);
          });
        });

    }])

  .controller('tab.controller',['$rootScope','$scope','$state','$ionicPopup','personCenterService',
    function($rootScope,$scope,$state,$ionicPopup,personCenterService){

      $scope.toInvoiceManage = function(){
        if($state.current.name === "tab.invoiceInsert"){
          $ionicPopup.confirm({
            title: '提示',
            template: '<p class="pop-center">开票信息尚未保存，确定要离开此页面？</p>',
            cancelText: '取消',
            okText: '确认'
          }).then(function (res) {
            if (res) {
              $state.go('tab.invoiceList', {}, {reload: true});
            }
          });
        }else{
          $state.go('tab.invoiceList', {}, {reload: true});
        }
      }
      $scope.toSetting = function(){
        if($state.current.name === "tab.invoiceInsert"){
          $ionicPopup.confirm({
            title: '提示',
            template: '<p class="pop-center">确定要离开此页面？</p>',
            cancelText: '取消',
            okText: '确认'
          }).then(function (res) {
            if (res) {
              $state.go('tab.home', {}, {reload: true});
            }
          });
        }else{
          $state.go('tab.home', {}, {reload: true});
        }
      }

    }]);

});
