/**
 * Created by user on 2016/6/27.
 */

define(['angular'], function (angular) {
    angular.module('customerManage.module', ['customerManage.controller', 'customerManage.service'])
        .config(function ($stateProvider) {
            $stateProvider
                .state('tab.customerManageController', {
                    url: '/customerManageController',
                    cache: true,
                    views: {
                        'tab-home': {
                            templateUrl: 'templates/business/customerList.html',
                            controller: 'customerList.controller'
                        }
                    }
                })
              //详细
                .state('tab.customerDetailController', {
                    url: '/customerDetailController/:enterpriseCustomerId',
                    cache: true,
                    views: {
                        'tab-home': {
                            templateUrl: 'templates/business/customerDetail.html',
                            controller: 'customerDetail.controller'
                        }
                    }
                })
              //新增
                .state('tab.customerInsertController', {
                    url: '/customerInsertController',
                    cache: false,
                    views: {
                        'tab-home': {
                            templateUrl: 'templates/business/customerInsert.html',
                            controller: 'customerInsert.controller'
                        }
                    }
                })
                  //修改
                .state('tab.customerEditController', {
                  url: '/customerEditController/:enterpriseCustomerId',
                  cache: true,
                  views: {
                    'tab-home': {
                      templateUrl: 'templates/business/customerInsert.html',
                      controller: 'customerInsert.controller'
                    }
                  }
                })


        });

});
