/**
 * Created by user on 2016/6/27.
 */
define(['angular'], function (angular) {
    angular.module('invoiceManage.module', ['invoiceManage.controller', 'invoiceInsert.controller', 'redInvoiceInsert.controller', 'invoiceManage.service'])
        .config(function ($stateProvider) {
            $stateProvider
                .state('tab.invoiceList', {
                    url: '/invoiceList',
                    cache: false,
                    views: {
                        'tab-invoice': {
                            templateUrl: 'templates/business/invoiceList.html',
                            controller: 'invoiceList'
                        }
                    }
                })
                .state('tab.invoiceInsert', {
                    url: '/invoiceInsert/:fpqqlsh',
                    cache: false,
                    views: {
                        'tab-invoiceInsert': {
                            templateUrl: 'templates/business/invoiceInsert.html',
                            controller: 'invoiceInsert'
                        }
                    }
                })
                .state('redInvoiceInsert', {
                    url: '/redInvoiceInsert',
                    cache: false,
                    templateUrl: 'templates/business/redInvoiceInsert.html',
                    controller: 'redInvoiceInsert'
                });
        });
});
