/**
 * Created by user on 2016/6/28.
 */

define(['angular','ajax_factory'], function (angular,ajax_factory) {

  angular.module('invoiceClerkManage.service',[])
    .factory('invoiceClerkManageService',function($http){
      return {
        getServices : function () {
          return 'Get_InvoiceClerkManageService'
        },
        getInvoiceClerkManageList : function(pageIndex, pageSize){
          return $http(ajax_factory.get('getInvoiceClerkManageList',{"pageIndex":pageIndex,"pageSize":pageSize})).then(function (response) {
            return response.data;
          },function (err) {
            return err;
          })
        },
        getInvoiceClerkMsgById : function(enterpriseBillingClerkId){
          return $http(ajax_factory.get('getInvoiceClerkMsgById',{"enterpriseBillingClerkId":enterpriseBillingClerkId})).then(function (response) {
            return response.data;
          },function (err) {
            return err;
          })
        },
        editClerkMsg : function(params){
          var billingClerk = params;
          return $http(ajax_factory.post('editClerkMsg', billingClerk)).then(function (response) {
            return response.data;
          },function (err) {
            return err;
          })
        },
        addClerkMsg : function(params){
          var billingClerk = params;
          return $http(ajax_factory.post('addClerkMsg', billingClerk)).then(function (response) {
            return response.data;
          },function (err) {
            return err;
          })
        },
        disableClerkState : function(params){
          return $http(ajax_factory.post('disableClerkState', params)).then(function (response) {
            return response.data;
          },function (err) {
            return err;
          })
        },
        enableClerkState : function(params){
          return $http(ajax_factory.post('enableClerkState', params)).then(function (response) {
            return response.data;
          },function (err) {
            return err;
          })
        },
        //校验登录名
        checkLoginName : function(loginName){
          var parameter = {
            loginName : loginName
          };
          return $http(ajax_factory.get('checkLoginName', parameter)).then(function (response) {
            return response.data;
          },function (err) {
            return err;
          })
        }
      };

    });



});
