/**
 * Created by user on 2016/6/28.
 */
define(['angular','ajax_factory'], function (angular,ajax_factory) {
    angular.module('invoiceSetting.service',[])
        .factory('invoiceSettingService',function($http){
            return {
                getServices : function () {
                    return 'Get_InvoiceSettingService'
                },
                getInvoiceSetInfo : function(){
                    return $http(ajax_factory.get('getInvoiceSetInfo')).then(function (response) {
                        return response.data;
                    },function (err) {
                        return err;
                    })
                },
                saveEnterpriseInfo : function(enterpriseInfo){
                    var parameter = {
                        enterpriseBankAccountName : enterpriseInfo.enterpriseBankAccountName,
                        enterpriseAccountNumber : enterpriseInfo.enterpriseAccountNumber,
                        enterpriseContactPhone : enterpriseInfo.enterpriseContactPhone
                    };
                    return $http(ajax_factory.post('saveEnterpriseInfo', parameter)).then(function (response) {
                        return response.data;
                    },function (err) {
                        return err;
                    })
                },
                getTariffPackageList : function(){
                    return $http(ajax_factory.get('getTariffPackageList')).then(function (response) {
                        return response.data;
                    },function (err) {
                        return err;
                    })
                },
                initTariffPackage : function(){
                    return $http(ajax_factory.get('initTariffPackage')).then(function (response) {
                        return response.data;
                    },function (err) {
                        return err;
                    })
                },
                getTaxRateList : function(){
                    return $http(ajax_factory.get('getTaxRateList')).then(function (response) {
                        return response.data;
                    },function (err) {
                        return err;
                    })
                },
                saveEnterpriseTaxRate : function(parameter){
                    return $http(ajax_factory.post('saveEnterpriseTaxRate', parameter)).then(function (response) {
                        return response.data;
                    },function (err) {
                        return err;
                    })
                }
            };
        });
});
