/**
 * Created by user on 2016/6/28.
 */

define(['angular','ajax_factory'], function (angular,ajax_factory) {

  angular.module('personCenter.service',[])

    .factory('personCenterService',function($http){

      return {
        getServices : function () {
          return 'Get_PersonCenterService'
        },
        getPersonCenterList : function(){
          return $http(ajax_factory.get('getPersonCenterList')).then(function (response) {
            return response.data;
          },function (err) {
            return err;
          })
        },
        editPersonMsg : function(params){
          return $http(ajax_factory.post('savePersonCenter', params)).then(function (response) {
            return response.data;
          },function (err) {
            return err;
          })
        }
      };

    });



});
