
define(function(){

  return{
    passwordValid:function(str){
      //var reg = /^[0-9a-zA-Z$#@^&_]{6,20}$/;
      var reg = /^[a-zA-Z0-9~!@#\$%\^_\+\?{}\\\[\]]{6,20}$/;
      return reg.test(str);
    },
    phoneValid:function(str){
      var reg = /^[1][34578][\d]{9}$/;
      return reg.test(str);
    },
    emailValid:function(str){
      var reg = /^([a-zA-Z0-9_\.\-])+\@(([a-zA-Z0-9\-])+\.)+([a-zA-Z0-9]{2,6})+$/;
      return reg.test(str);
    },
    loginNameValid:function(str){
      var reg = /^[a-zA-Z0-9~!@#\$%\^_\+\?{}\\\[\]]{2,20}$/;
      return reg.test(str);
    },
    nameValid:function(str){
      var reg = /^[a-zA-Z\u4E00-\u9FA5]+$/;
      return reg.test(str);
    },
    customerNameValid:function(str){
      var reg = /^[\u4e00-\u9fa5a-zA-Z0-9()（）]+$/;
      return reg.test(str);
    },
    bankNameValid:function(str){
      var reg = /^[\u4e00-\u9fa5]+$/;
      return reg.test(str);
    },
    charNumValid:function(str){
      var reg = /^[a-zA-Z0-9]+$/;
      return reg.test(str);
    },
    bankNumberValid:function(str){
      var reg = /^\d{15,20}$/;
      return reg.test(str);
    },
    enterprisePhoneValid:function(str){
      var reg = /^(1\d{10})$|^([0-9]{3,4}-)?([2-9][0-9]{6,7})+(-[0-9]{1,6})?$/;
      return reg.test(str);
    }
  }

});
