/**
 * Created by user on 2016/6/29.
 */
define(["json!ajax_config"],function (dataConfig) {

  function setSendContent (type,addressName,params,header) {
    var url;
    if(type == "POST" && (addressName == "getPublicKey" || addressName == "login")){
      url = dataConfig.prefix + dataConfig.urls[addressName].url;
    } else {
      url = dataConfig.prefix + dataConfig.urls[addressName].url + dataConfig.suffix;
    }


    if(type == "GET") {
      url += "?";
      for(p in params) {

        url +=  p + "=" + params[p] + "&";

      }
      params = undefined;
    }


    if(header === true){
      return {
        method : type,
        url : url,
        data: params,
        headers: {
          'Content-Type': 'application/x-www-form-urlencoded; charset=UTF-8',
          'Accept' : 'application/json, text/javascript, */*; q=0.01',
          'X-Requested-With':'XMLHttpRequest'
        }
      }
    }else{
      return {
        method : type,
        url : url,
        data: params
      }
    }
  }

  return {

    get : function (addressName,params,header) {
      return setSendContent('GET',addressName,params,header);
    },

    post : function (addressName,params,header) {
      return setSendContent('POST',addressName,params,header);
    },

     getPath : function (addressName) {
       return dataConfig.prefix + dataConfig.urls[addressName].url + dataConfig.suffix;
     }

  }

});

