/**
 * Created by user on 2016/6/29.
 */
define(["json!role_config"],function (dataConfig) {

  return {

    /**
     *得到角色列表
     * @param roleIdArr
     * @returns {Array}
     */
    getRole : function (roleIdArr) {

      var roleArr = [];

      for(roleId in roleIdArr) {

        for(role in dataConfig.role){

          if(roleIdArr[roleId] == dataConfig.role[role].abbreviation){

            roleArr.push(dataConfig.role[role]);
          }

        }

      }
      return roleArr;

    },
    /**
     * 得动权限列表
     * @param roleIdArr
     * @returns {{}}
     */
    getModule : function (roleIdArr) {

      var modulObj = {};

      var roles = this.getRole(roleIdArr);

      for(role in roles) {

        for(module in roles[role].module) {

          modulObj[roles[role].module[module]] = dataConfig.module[roles[role].module[module]];

        }

      }

      return modulObj;

    }

  }


});

