/**
 * Created by user on 2016/6/27.
 */

define(['angular'], function (angular) {
  angular.module('systemManage.module', ['ionic', 'systemManage.controller', 'systemManage.service'])
    .run(function ($ionicPlatform) {
      $ionicPlatform.ready(function () {
        if (window.cordova && window.cordova.plugins && window.cordova.plugins.Keyboard) {
          cordova.plugins.Keyboard.hideKeyboardAccessoryBar(true);
          cordova.plugins.Keyboard.disableScroll(true);
        }
        if (window.StatusBar) {
          StatusBar.styleDefault();
        }
      });
    })
    .config(function ($stateProvider, $urlRouterProvider) {
      $stateProvider
        .state("registerUser", {
          url: '/registerUser',
          templateUrl: "templates/business/registerUser.html",
          controller: 'registerUser.controller'
        })
        .state('forgetPassword', {
          url: '/forgetPassword',
          templateUrl: 'templates/business/forgetPassword.html',
          controller: 'forgetPassword'
        });
      $urlRouterProvider.otherwise('/registerUser');
    });


});
