/**
 * Created by user on 2016/6/28.
 */

define(['angular','ajax_factory'], function (angular,ajax_factory) {

  angular.module('enterpriseInfo.service',[])
    .factory('enterpriseInfoService',function($http){
      return {
        getServices : function () {
          return 'Get_EnterpriseInfoService'
        },
        getEnterpriseInfo : function(){
          return $http(ajax_factory.get('getEnterpriseInfo')).then(function (response) {
            return response.data;
          },function (err) {
            return err;
          })
        },
        saveInfo : function(params){
          return $http(ajax_factory.post('updateEnterpriseInfo', params)).then(function (response) {
            return response.data;
          },function (err) {
            return err;
          })
        },
        addInfo : function(params){
          return $http(ajax_factory.post('addEnterpriseInfo', params)).then(function (response) {
            return response.data;
          },function (err) {
            return err;
          })
        }

      };

    });



});
